/*
 * @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */

package com.openexchange.guard.updater;

import com.openexchange.database.AbstractCreateTableImpl;

/**
 * Create table for mailvelope
 * Since Guard 2.2
 * 
 * @author greg.hill
 *
 */
public class CreateMailvelopeTableService extends AbstractCreateTableImpl {

    public CreateMailvelopeTableService() {
        super();

    }

    private String createMailvelopeTable() {
        return "CREATE TABLE og_mailvelope (" + "`id`  int NOT NULL , " + "`cid`  int NOT NULL , " + "`keydata`  mediumtext NULL , " + "PRIMARY KEY (`id`, `cid`)" + ")";
    }

    @Override
    public String[] requiredTables() {
        return new String[] { "" };
    }

    @Override
    public String[] tablesToCreate() {
        return new String[] { "og_mailvelope" };
    }

    @Override
    protected String[] getCreateStatements() {
        return new String[] { createMailvelopeTable() };
    }

}
