/*
 * @copyright Copyright (c) OX Software GmbH, Germany <info@open-xchange.com>
 * @license AGPL-3.0
 *
 * This code is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Affero General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Affero General Public License for more details.
 *
 * You should have received a copy of the GNU Affero General Public License
 * along with OX App Suite.  If not, see <https://www.gnu.org/licenses/agpl-3.0.txt>.
 *
 * Any use of the work other than as authorized under this license or copyright law is prohibited.
 *
 */

package com.openexchange.guard.milter.service.impl;

import java.io.IOException;
import java.nio.channels.WritableByteChannel;
import com.openexchange.guard.milter.internal.Responder;
import com.openexchange.guard.milter.service.MilterResponse;

/**
 * {@link StandardResponse}
 *
 * @author <a href="mailto:greg.hill@open-xchange.com">Greg Hill</a>
 * @since v2.8.0
 */
public class StandardResponse extends MilterResponse {

    int response = 0;

    public StandardResponse (int response) {
        this.response = response;
    }
    /* (non-Javadoc)
     * @see com.openexchange.guard.milter.service.MilterResponse#sendResponse(java.nio.channels.WritableByteChannel)
     */
    @Override
    public void sendResponse(WritableByteChannel channel) throws IOException {
        Responder.sendPacket(channel, response, null);

    }

}
